searchNodes=[{"doc":"eredis_cluster eredis_cluster is a wrapper for eredis to support cluster mode of Redis 3.0.0+","ref":"readme.html","title":"eredis_cluster","type":"extras"},{"doc":"History Usage Compilation and tests Configuration Troubleshooting See also","ref":"readme.html#contents","title":"eredis_cluster - Contents","type":"extras"},{"doc":"This project was started by Adrien Moreau in 2015. In 2021, maintainance was taken over by the Nordix Foundation (backed by Ericsson) and the Hex package is released from the Nordix fork since 0.6.0. See also CHANGELOG.md .","ref":"readme.html#history","title":"eredis_cluster - History","type":"extras"},{"doc":"For the full reference manual, see the generated documentation in doc/eredis_cluster.md . %% Start the application and, if init nodes are defined in the application %% configuration, connect to the cluster (otherwise use connect/1,2) eredis_cluster : start ( ) . %% Simple command eredis_cluster : q ( [ &quot;GET&quot; , &quot;abc&quot; ] ) . %% Pipeline eredis_cluster : qp ( [ [ &quot;LPUSH&quot; , &quot;a&quot; , &quot;a&quot; ] , [ &quot;LPUSH&quot; , &quot;a&quot; , &quot;b&quot; ] , [ &quot;LPUSH&quot; , &quot;a&quot; , &quot;c&quot; ] ] ) . %% Pipeline in multiple node (keys are sorted by node, a pipeline request is %% made on each node, then the result is aggregated and returned. The response %% keep the command order eredis_cluster : qmn ( [ [ &quot;GET&quot; , &quot;a&quot; ] , [ &quot;GET&quot; , &quot;b&quot; ] , [ &quot;GET&quot; , &quot;c&quot; ] ] ) . %% Transaction (a pipeline wrapped in MULTI-EXEC; returns the result of EXEC) eredis_cluster : transaction ( [ [ &quot;LPUSH&quot; , &quot;a&quot; , &quot;a&quot; ] , [ &quot;LPUSH&quot; , &quot;a&quot; , &quot;b&quot; ] , [ &quot;LPUSH&quot; , &quot;a&quot; , &quot;c&quot; ] ] ) . %% Transaction Function TransactionFun = fun ( Worker ) -&gt; eredis_cluster : qw ( Worker , [ &quot;WATCH&quot; , &quot;abc&quot; ] ) , { ok , Var } = eredis_cluster : qw ( Worker , [ &quot;GET&quot; , &quot;abc&quot; ] ) , %% Do something with Var %% Var2 = binary_to_integer ( Var ) + 1 , { ok , Result } = eredis_cluster : qw ( Worker , [ [ &quot;MULTI&quot; ] , [ &quot;SET&quot; , &quot;abc&quot; , Var2 ] , [ &quot;EXEC&quot; ] ] ) , lists : last ( Result ) end , eredis_cluster : transaction ( TransactionFun , &quot;abc&quot; ) . %% Optimistic Locking Transaction Function = fun ( GetResult ) -&gt; { ok , Var } = GetResult , Var2 = binary_to_integer ( Var ) + 1 , { [ [ &quot;SET&quot; , Key , Var2 ] ] , Var2 } end , Result = optimistic_locking_transaction ( Key , [ &quot;GET&quot; , Key ] , Function ) , { ok , { TransactionResult , CustomVar } } = Result . %% Atomic Key update (using optimistic locking transaction) Fun = fun ( Var ) -&gt; binary_to_integer ( Var ) + 1 end , eredis_cluster : update_key ( &quot;abc&quot; , Fun ) . %% Atomic Field update (using optimistic locking transaction) Fun = fun ( Var ) -&gt; binary_to_integer ( Var ) + 1 end , eredis_cluster : update_hash_field ( &quot;abc&quot; , &quot;efg&quot; , Fun ) . %% Pre-load Lua script on all nodes Script = &quot;return redis.call(&#39;set&#39;, KEYS[1], ARGV[1]);&quot; , { ok , ScriptHash } = eredis_cluster : load_script ( Script ) , %% Execute pre-loaded script based on hash (EVALSHA) on the node where %% the key &quot;abs&quot; is, with a fallback to load it if needed. eredis_cluster : eval ( Script , ScriptHash , [ &quot;abc&quot; ] , [ &quot;123&quot; ] ) . %% Flush DB eredis_cluster : flushdb ( ) . %% Query on all cluster server eredis_cluster : qa ( [ &quot;FLUSHDB&quot; ] ) . %% Execute a query on the server containing the key &quot;TEST&quot; eredis_cluster : qk ( [ &quot;FLUSHDB&quot; ] , &quot;TEST&quot; ) . Multi-cluster If you need to work with multiple Redis clusters in the same application, the functions connect/3 , disconnect/1 , q/2 , qk/3 , qa/2 , qa2/2 , qmn/2 , transaction/3 , get_pool_by_command/2 , get_pool_by_key/2 , get_all_pools/1 accept a named cluster parameter. Multi-cluster support was added in eredis_cluster 0.7.0. eredis_cluster:start(). eredis_cluster:connect(mycluster, [{&quot;127.0.0.1&quot;, 30001}, {&quot;127.0.0.1&quot;, 30002}], []). {ok, Result} = eredis_cluster:q(mycluster, [&quot;GET&quot;, &quot;foo&quot;]), %% Query on all cluster nodes eredis_cluster:qa(mycluster, [&quot;FLUSHDB&quot;]). %% Execute a query on the server containing the key &quot;TEST&quot; eredis_cluster:qk(mycluster, [&quot;FLUSHDB&quot;], &quot;TEST&quot;). %% Scan one of the nodes in a cluster [MyclusterNode1 | _] = eredis_cluster:get_all_pools(mycluster), eredis_cluster:qn([&quot;SCAN&quot;, 0, &quot;COUNT&quot;, 10], MyclusterNode1), %% Transaction (See above for TransactionFun example) eredis_cluster:transaction(TransactionFun, mycluster, &quot;abc&quot;).","ref":"readme.html#usage","title":"eredis_cluster - Usage","type":"extras"},{"doc":"The directory contains a Makefile that uses rebar3. Setup Redis clusters and start the tests using following commands: make # ... or rebar3 compile make start # Start local Redis clusters using Docker make test # Run tests towards the clusters make stop # Teardown the Redis clusters","ref":"readme.html#compilation-and-tests","title":"eredis_cluster - Compilation and tests","type":"extras"},{"doc":"To configure the Redis cluster client, you can use an application variable (probably in your app.config): { eredis_cluster , [ { init_nodes , [ { &quot;127.0.0.1&quot; , 30001 } , { &quot;127.0.0.1&quot; , 30002 } ] } , { pool_size , 5 } , { pool_max_overflow , 10 } , { password , &quot;redis_pw&quot; } , { socket_options , [ { send_timeout , 6000 } , ... ] } , { tls , [ { cacertfile , &quot;ca.crt&quot; } , ... ] } ] } You don't need to specify all nodes of your configuration as eredis_cluster will retrieve them through the command CLUSTER SLOTS at runtime. Configuration parameters init_nodes : List of Redis nodes to fetch cluster information from. Default: [] pool_size : Number of connected clients to each Redis node. Default: 10 pool_max_overflow : Max number of extra clients that can be started when the pool is exhausted. Default: 0 password : Password to use for a Redis cluster configured with requirepass . Default: &quot;&quot; (i.e. AUTH not sent) socket_options : Extra socket options . Enables selecting host interface or perf. tuning. Default: [] tls : Enable TLS/SSL and use specified TLSOptions . Default: TLS not enabled. Configuring via API An alternative is to set configurations programmatically via set_env() and eredis_cluster:connect/1 . application : set_env ( eredis_cluster , pool_size , 5 ) , application : set_env ( eredis_cluster , pool_max_overflow , 10 ) , application : set_env ( eredis_cluster , password , &quot;redis_pw&quot; ) , application : set_env ( eredis_cluster , socket_options , [ { send_timeout , 6000 } ] ) , application : set_env ( eredis_cluster , tls , [ { cacertfile , &quot;ca.crt&quot; } , { certfile , &quot;client.crt&quot; } , { keyfile , &quot;client.key&quot; } ] ) , %% Set initial nodes and perform a controlled connect eredis_cluster : connect ( [ { &quot;127.0.0.1&quot; , 30001 } , { &quot;127.0.0.1&quot; , 30002 } ] ) . Configuring using connect/2 It is also possible to give options while doing a connect using eredis_cluster:connect/2 . The given options will override options set via application configuration, i.e will be prepended to the property list. Options = [ { tls , [ { cacertfile , &quot;ca.crt&quot; } , { certfile , &quot;client.crt&quot; } , { keyfile , &quot;client.key&quot; } ] } ] , eredis_cluster : connect ( [ { &quot;127.0.0.1&quot; , 30001 } , { &quot;127.0.0.1&quot; , 30002 } ] , Options ) .","ref":"readme.html#configuration","title":"eredis_cluster - Configuration","type":"extras"},{"doc":"The following Redis-log indicates that Redis accepts TLS, but the client is not configured for TLS. # Error accepting a client connection: error:1408F10B:SSL routines:ssl3_get_record:wrong version number (conn: fd=12) Debug logging for TLS connections can be enabled in eredis_cluster by the connect option: {log_level, debug}","ref":"readme.html#troubleshooting","title":"eredis_cluster - Troubleshooting","type":"extras"},{"doc":"Generated documentation: doc/eredis_cluster.md Dependencies: Poolboy Eredis","ref":"readme.html#see-also","title":"eredis_cluster - See also","type":"extras"},{"doc":"Change log","ref":"changelog.html","title":"Change log","type":"extras"},{"doc":"Support multiple clusters List runtime dependencies in .app.src","ref":"changelog.html#0-7-0","title":"Change log - 0.7.0","type":"extras"},{"doc":"Let Eredis version to be 1.4 to 2.0 on mix and 1.4.1 on rebar Update CI jobs and generate TLS test certs on the fly to avoid outdated test certs","ref":"changelog.html#0-6-1","title":"Change log - 0.6.1","type":"extras"},{"doc":"First release of the [Nordix fork]( https://github.com/Nordix/eredis_cluster] in April, 2021. Support of TLS introduced in Redis 6 Uses Nordix/eredis (TLS, error handling fixes) Many Dialyzer corrections Elvis code formatting Optimizations Refresh slot mapping reuses existing connection when possible and don't refresh mapping when not needed, e.g. when a pool is busy Don't use an extra wrapper process around each eredis connection process Containerized testing Testing using simulated Redis cluster for corner cases such as ASK redirects Added API functions: connect/2 : Connect to init nodes, with options qa2/1 : Query all nodes with re-attempts, returns [{Node, Result}, ...] qn/2 : Query to specific Redis node q_noreply/1 : Query a single Redis node but wont wait for its result load_script/1 : Pre-load script to all Redis nodes scan/4 : Perform a scan command on given Redis nodes disconnect/1 : Disconnect from given Redis node get_all_pools/0 : Get all pools (one for each Redis node in cluster) get_pool_by_command/1 : Get which Redis pool that handles a given command get_pool_by_key/1 : Get which Redis pool that handles a given key eredis_cluster_monitor:get_cluster_nodes/0 : Get cluster nodes information list (CLUSTER NODES) eredis_cluster_monitor:get_cluster_slots/0 : Get cluster slots information (CLUSTER SLOTS) Changed behaviour: qa/1 : Query all nodes, now with re-attempts transaction/2 : The second argument can be a Redis node (pool) or a key, instead of only a key","ref":"changelog.html#0-6-0","title":"Change log - 0.6.0","type":"extras"},{"doc":"This release from 2019 and older are releases of the original adrienmo/eredis_cluster . The initial commit was made in 2015 by Adrien Moreau.","ref":"changelog.html#0-5-12","title":"Change log - 0.5.12","type":"extras"},{"doc":"Module eredis_cluster Description Data Types Function Index Function Details . Behaviours: application .","ref":"eredis_cluster.html","title":"Module eredis_cluster","type":"extras"},{"doc":"This module provides the API of eredis_cluster . The eredis_cluster application is a Redis Cluster client. For each of the nodes in a connected Redis cluster, a connection pool is maintained. In this manual, the words &quot;pool&quot; and &quot;node&quot; are used interchangeably when referring to the connection pool to a particular Redis node. Some functions accept a Cluster parameter. For those which don't, they operate on a default cluster. If you only need to connect to one cluster, there is no need to use the functions with an explicit Cluster parameter.","ref":"eredis_cluster.html#description","title":"Module eredis_cluster - Description","type":"extras"},{"doc":"anystring() anystring ( ) = string ( ) | bitstring ( ) optimistic_locking_error_result() optimistic_locking_error_result() = {error, resource_busy} | {error, redis_error_result() } optimistic_locking_result() optimistic_locking_result() = optimistic_locking_error_result() | {{ok, undefined}, any()} | {{ok, redis_success_result() }, any()} | {{ok, [ redis_success_result() ]}, any()} options() options ( ) = [ { term ( ) , term ( ) } ] redis_command() redis_command() = redis_simple_command() | redis_pipeline_command() redis_error_result() redis_error_result ( ) = bitstring ( ) | no_connection | invalid_cluster_command | tcp_closed redis_pipeline_command() redis_pipeline_command() = [ redis_simple_command() ] redis_pipeline_result() redis_pipeline_result() = [ redis_simple_result() ] redis_result() redis_result() = redis_simple_result() | redis_pipeline_result() | optimistic_locking_result() redis_simple_command() redis_simple_command() = [ anystring() | integer()] redis_simple_result() redis_simple_result() = {ok, redis_success_result() } | {error, redis_error_result() } redis_success_result() redis_success_result ( ) = bitstring ( ) | undefined redis_transaction_result() redis_transaction_result() = {ok, [ redis_success_result() ]} | {ok, undefined} | {error, redis_error_result() }","ref":"eredis_cluster.html#data-types","title":"Module eredis_cluster - Data Types","type":"extras"},{"doc":"connect/1 Connect to a Redis cluster using a set of init nodes. connect/2 Connects to a Redis cluster using a set of init nodes, with options. connect/3 Connects to a Redis cluster using a set of init nodes, with options andcluster name. disconnect/1 Disconnects a cluster by name or a set of nodes in the default cluster. eval/4 Eval command helper, to optimize the query, it will try to execute thescript using its hashed value. flushdb/0 Perform flushdb command on each node of the redis cluster. get_all_pools/0 Returns the connection pools for all Redis nodes in the default cluster. get_all_pools/1 Returns the connection pools for all Redis nodes in a named cluster. get_pool_by_command/1 Returns the connection pool for the Redis node in the default clusterwhere a command should be executed. get_pool_by_command/2 Like get_pool_by_command/1 for a named cluster. get_pool_by_key/1 Returns the connection pool for the Redis node responsible for the keyin the default cluster. get_pool_by_key/2 Like get_pool_by_key/1 for a named cluster. load_script/1 Load LUA script to all master nodes in the Redis cluster. optimistic_locking_transaction/3 Optimistic locking transaction, based on Redis documentation:https://redis.io/topics/transactions. q/1 This function executes simple or pipelined command on a single redisnode, which is selected according to the first key in the command. q/2 Simple or pipelined command on a named cluster. q_noreply/1 Executes a simple or pipeline of commands on a single Redis node, butignoring any response from Redis. qa/1 Performs a query on all nodes in the default cluster. qa/2 Performs a query on all nodes in a cluster. qa2/1 Perform a given query on all master nodes of a redis cluster andreturn result with master node reference in result. qa2/2 Like qa2/1 but for a named cluster rather than the default cluster. qk/2 Executes a simple or pipeline of command on the Redis node where theprovided key resides on the default cluster. qk/3 Executes a simple or pipeline of command on the Redis node where theprovided key resides on a named cluster. qmn/1 Multi node query. qmn/2 Like qmn/1, but for a named cluster rather than the default cluster. qn/2 Execute a simple or pipelined command on a specific node. qp/1 Executes a pipeline of commands. qw/2 Function to be used for direct calls to an eredis connection instance(a worker) in the function passed to the transaction/2 function. scan/4 Performs a SCAN on a specific node in the Redis cluster. start/0 Start application. stop/0 Stop application. transaction/1 ( Deprecated .) Function to execute a pipeline of commands as a transaction command, bywrapping it in MULTI and EXEC. transaction/2 Execute a function on a single connection in the default cluster. transaction/3 Execute a function on a single connection in a named cluster. update_hash_field/3 Update the value of a field stored in a hash by applying the functionpassed in the argument. update_key/2 Update the value of a key by applying the function passed in theargument.","ref":"eredis_cluster.html#function-index","title":"Module eredis_cluster - Function Index","type":"extras"},{"doc":"connect/1 connect ( InitServers ) -&gt; ok InitServers = [{Address::string(), Port:: inet:port_number() }] Connect to a Redis cluster using a set of init nodes. This is useful if the cluster configuration is not known when the application is started. Not all Redis nodes need to be provided. The addresses and port of the nodes in the cluster are retrieved from one of the init nodes. connect/2 connect ( InitServers , Options ) -&gt; ok InitServers = [{Address::string(), Port:: inet:port_number() }] Options = options() Connects to a Redis cluster using a set of init nodes, with options. Useful if the cluster configuration is not known at startup. The options, if provided, can be used to override options set using application:set_env/3 . connect/3 connect ( Cluster , InitServers , Options ) -&gt; ok Cluster = atom() InitServers = [{Address::string(), Port:: inet:port_number() }] Options = options() Connects to a Redis cluster using a set of init nodes, with options and cluster name. Failes with error badarg if the cluster name is already in use as a registered name of some other process. disconnect/1 disconnect ( Nodes :: ( Nodes :: [ atom ( ) ] ) | ( Cluster :: atom ( ) ) ) -&gt; ok Disconnects a cluster by name or a set of nodes in the default cluster. Note: Unused nodes are disconnected automatically when the slot mapping is updated. eval/4 eval(Script, ScriptHash, Keys, Args) -&gt; redis_result() Script = anystring() ScriptHash = anystring() Keys = [ anystring() ] Args = [ anystring() ] Eval command helper, to optimize the query, it will try to execute the script using its hashed value. If no script is found, it will load it and try again. The ScriptHash is provided by load_script/1 , which can be used to pre-load the script on all nodes. The first key in Keys is used for selecting the Redis node where the script is executed. If Keys is an empty list, the script is executed on an arbitrary Redis node. See also: load_script/1 . flushdb/0 flushdb ( ) -&gt; ok | { error , Reason :: bitstring ( ) } Perform flushdb command on each node of the redis cluster This is equivalent to calling qa([&quot;FLUSHDB&quot;]) except for the return value. get_all_pools/0 get_all_pools ( ) -&gt; [ atom ( ) ] Returns the connection pools for all Redis nodes in the default cluster. This is usedful for commands to a specific node using qn/2 and transaction/2 . See also: qn/2 , transaction/2 . get_all_pools/1 get_all_pools ( Cluster :: atom ( ) ) -&gt; [ atom ( ) ] Returns the connection pools for all Redis nodes in a named cluster. get_pool_by_command/1 get_pool_by_command(Command:: redis_command() ) -&gt; atom() | undefined Returns the connection pool for the Redis node in the default cluster where a command should be executed. The node is selected based on the first key in the command. See also: get_pool_by_key/1 . get_pool_by_command/2 get_pool_by_command(Cluster::atom(), Command:: redis_command() ) -&gt; atom() | undefined Like get_pool_by_command/1 for a named cluster. get_pool_by_key/1 get_pool_by_key(Key:: anystring() ) -&gt; atom() | undefined Returns the connection pool for the Redis node responsible for the key in the default cluster. get_pool_by_key/2 get_pool_by_key(Cluster::atom(), Key:: anystring() ) -&gt; atom() | undefined Like get_pool_by_key/1 for a named cluster. load_script/1 load_script(Script::string()) -&gt; redis_result() Load LUA script to all master nodes in the Redis cluster. Returns {ok, SHA1} on success and an error otherwise. This is equivalent to calling qa([&quot;SCRIPT&quot;, &quot;LOAD&quot;, Script]) except for the return value. A script loaded in this way can be executed using eval/4. See also: eval/4 . optimistic_locking_transaction/3 optimistic_locking_transaction ( WatchedKey , GetCommand , UpdateFunction ) -&gt; Result WatchedKey = anystring() GetCommand = redis_command() UpdateFunction = fun(( redis_result() ) -&gt; redis_pipeline_command() ) Result = {ok, { redis_success_result() , any()}} | {ok, {[ redis_success_result() ], any()}} | optimistic_locking_error_result() Optimistic locking transaction, based on Redis documentation: https://redis.io/topics/transactions The function operates like the following pseudo-code: WATCH WatchedKey value = GetCommand MULTI UpdateFunction ( value ) EXEC If the value associated with WatchedKey has changed between GetCommand and EXEC, the sequence is retried. q/1 q(Command:: redis_command() ) -&gt; redis_result() This function executes simple or pipelined command on a single redis node, which is selected according to the first key in the command. q/2 q(Cluster::atom(), Command:: redis_command() ) -&gt; redis_result() Simple or pipelined command on a named cluster. q_noreply/1 q_noreply(Command:: redis_command() ) -&gt; ok Executes a simple or pipeline of commands on a single Redis node, but ignoring any response from Redis. (Fire and forget) Errors are ignored and there are no automatic retries. qa/1 qa ( Command ) -&gt; Result Command = redis_command() Result = [ redis_transaction_result() ] | {error, no_connection} Performs a query on all nodes in the default cluster. When a query to a master fails, the mapping is refreshed and the query is retried. qa/2 qa ( Cluster , Command ) -&gt; Result Cluster = atom() Command = redis_command() Result = [ redis_transaction_result() ] | {error, no_connection} Performs a query on all nodes in a cluster. When a query to a master fails, the mapping is refreshed and the query is retried. qa2/1 qa2 ( Command ) -&gt; Result Command = redis_command() Result = [{Node::atom(), redis_result() }] | {error, no_connection} Perform a given query on all master nodes of a redis cluster and return result with master node reference in result. When a query to the master fail refresh the mapping and try again. qa2/2 qa2 ( Cluster , Command ) -&gt; Result Cluster = atom() Command = redis_command() Result = [{Node::atom(), redis_result() }] | {error, no_connection} Like qa2/1 but for a named cluster rather than the default cluster. qk/2 qk(Command:: redis_command() , Key:: anystring() ) -&gt; redis_result() Executes a simple or pipeline of command on the Redis node where the provided key resides on the default cluster. qk/3 qk(Cluster::atom(), Command:: redis_command() , Key:: anystring() ) -&gt; redis_result() Executes a simple or pipeline of command on the Redis node where the provided key resides on a named cluster. qmn/1 qmn(Commands:: redis_pipeline_command() ) -&gt; redis_pipeline_result() Multi node query. Each command in a list of commands is sent to the Redis node responsible for the key affected by that command. Only simple commands operating on a single key are supported. qmn/2 qmn(Cluster::atom(), Commands:: redis_pipeline_command() ) -&gt; redis_pipeline_result() Like qmn/1, but for a named cluster rather than the default cluster. qn/2 qn(Command, Node) -&gt; redis_result() Command = redis_command() Node = atom() Execute a simple or pipelined command on a specific node. The node is identified by the name of the connection pool for the node. See also: get_all_pools/0 , qk/2 . qp/1 qp(Commands:: redis_pipeline_command() ) -&gt; redis_pipeline_result() Executes a pipeline of commands. This function is identical to q(Commands) . See also: q/1 . qw/2 qw(Connection::pid(), Commands:: redis_command() ) -&gt; redis_result() Function to be used for direct calls to an eredis connection instance (a worker) in the function passed to the transaction/2 function. This function calls eredis:qp/2 for pipelines of commands and eredis:q/1 for single commands. It is also possible to use eredis directly. See also: transaction/2 . scan/4 scan ( Node , Cursor , Pattern , Count ) -&gt; Result Node = atom() Cursor = integer() Pattern = anystring() Count = integer() Result = redis_result() | {error, Reason::binary() | atom()} Performs a SCAN on a specific node in the Redis cluster. This is equivalent to calling qn([&quot;SCAN&quot;, Cursor, &quot;MATCH&quot;, Pattern, &quot;COUNT&quot;, Count], Node) . See also: get_all_pools/0 , qn/1 . start/0 start ( ) -&gt; ok | { error , Reason :: term ( ) } Start application. If eredis_cluster is configured with init nodes using the application environment, using a config file or by explicitly by calling application:set_env(eredis_cluster, init_nodes, InitNodes) , the cluster is connected when the application is started. Otherwise, it can be connected later using connect/1,2 . stop/0 stop ( ) -&gt; ok | { error , Reason :: term ( ) } Stop application. The same as application:stop(eredis_cluster) . transaction/1 transaction(Commands:: redis_pipeline_command() ) -&gt; redis_transaction_result() This function is deprecated: This function can be confused with transaction/2 which works in a very different way. Please use q/1 instead. Function to execute a pipeline of commands as a transaction command, by wrapping it in MULTI and EXEC. Returns the result of EXEC, which is the list of responses for each of the commands. transaction(Commands) is equivalent to calling q([[&quot;MULTI&quot;]] ++ Commands ++ [[&quot;EXEC&quot;]]) and taking the last element in the resulting list. transaction/2 transaction(Transaction, KeyOrPool::Key | Pool) -&gt; redis_result() Key = anystring() Pool = atom() Transaction = fun((Connection::pid()) -&gt; redis_result() ) Execute a function on a single connection in the default cluster. This should be used when a transaction command such as WATCH or DISCARD must be used. The node is selected by giving a key that this node is containing or by giving the node directly. Note that this function does not add MULTI or EXEC, so it can be used also for sequences of commands which are not Redis transactions. The Transaction fun shall use qw/2 to execute commands on the selected connection pid passed to it. A transaction can be retried automatically, so the Transaction fun should not have side effects. See also: qw/2 . transaction/3 transaction(Transaction, Cluster, Key::Key | Pool) -&gt; redis_result() Transaction = fun((Connection::pid()) -&gt; redis_result() ) Cluster = atom() Key = anystring() Pool = atom() Execute a function on a single connection in a named cluster. See also: transaction/2 . update_hash_field/3 update_hash_field ( Key , Field , UpdateFunction ) -&gt; Result Key = anystring() Field = anystring() UpdateFunction = fun((any()) -&gt; any()) Result = {ok, {[any()], any()}} | {error, redis_error_result() } Update the value of a field stored in a hash by applying the function passed in the argument. The operation is done atomically using an optimistic locking transaction. See also: optimistic_locking_transaction/3 . update_key/2 update_key ( Key , UpdateFunction ) -&gt; Result Key = anystring() UpdateFunction = fun((any()) -&gt; any()) Result = redis_transaction_result() Update the value of a key by applying the function passed in the argument. The operation is done atomically, using an optimistic locking transaction. See also: optimistic_locking_transaction/3 .","ref":"eredis_cluster.html#function-details","title":"Module eredis_cluster - Function Details","type":"extras"},{"doc":"Module eredis_cluster_monitor Description Function Index Function Details This module manages the slot mapping. Behaviours: gen_server . See also: eredis_cluster .","ref":"eredis_cluster_monitor.html","title":"Module eredis_cluster_monitor","type":"extras"},{"doc":"In a Redis cluster, each key belongs to a slot and each slot belongs to a Redis master node. This module is mainly internal, but some functions are documented and may be useful for advanced scenarios.","ref":"eredis_cluster_monitor.html#description","title":"Module eredis_cluster_monitor - Description","type":"extras"},{"doc":"get_cluster_nodes/0 Get cluster nodes information. get_cluster_nodes/1 get_cluster_slots/0 Get cluster slots information.","ref":"eredis_cluster_monitor.html#function-index","title":"Module eredis_cluster_monitor - Function Index","type":"extras"},{"doc":"get_cluster_nodes/0 get_cluster_nodes ( ) -&gt; [ [ bitstring ( ) ] ] Get cluster nodes information. Returns a list of node elements, each in the form: [ id , ip :port@cport , flags , master , ping - sent , pong - recv , config - epoch , link - state , Slot1 , ... , SlotN ] See: https://redis.io/commands/cluster-nodes#serialization-format get_cluster_nodes/1 get_cluster_nodes ( Cluster :: atom ( ) ) -&gt; [ [ bitstring ( ) ] ] get_cluster_slots/0 get_cluster_slots ( ) -&gt; [ [ bitstring ( ) | [ bitstring ( ) ] ] ] Get cluster slots information.","ref":"eredis_cluster_monitor.html#function-details","title":"Module eredis_cluster_monitor - Function Details","type":"extras"}]